from theiaide/theia-python:latest
run apt-get update && apt-get -y install libgs-dev
COPY ./requirements.txt .
run pip3 install --upgrade pip && pip3 install -r requirements.txt && pip3 install pytest pylint bandit flake8 black pytest-django six pytest-mock
RUN wget https://download.docker.com/linux/static/stable/x86_64/docker-20.10.2.tgz && tar -xvf docker-20.10.2.tgz docker/docker && cp docker/docker /usr/bin/
ENTRYPOINT node /home/theia/src-gen/backend/main.js /home/project/.theia-workspace --hostname=0.0.0.0